## FolksNoteFieldDetails

FolksNoteFieldDetails — Object representing a note that can have some parameters associated with it.

## Functions

FolksNoteFieldDetails * | folks_note_field_details_new ()
const gchar * | folks_note_field_details_get_uid ()
void | folks_note_field_details_set_uid ()
void | folks_note_details_change_notes ()
void | folks_note_details_change_notes_finish ()
GeeSet * | folks_note_details_get_notes ()
void | folks_note_details_set_notes ()

## Types and Values

#define | FOLKS_TYPE_NOTE_FIELD_DETAILS
struct | FolksNoteFieldDetails
struct | FolksNoteFieldDetailsClass
| FolksNoteDetails
struct | FolksNoteDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

### folks_note_field_details_new ()

    FolksNoteFieldDetails *
    folks_note_field_details_new (const gchar *value,
                                  GeeMultiMap *parameters,
                                  const gchar *uid);

Create a new NoteFieldDetails.

#### Parameters

value | . the value of the field, which should be a non-empty free-form UTF-8 string as entered by the user . | [in]
parameters | . initial parameters. See "parameters". A `null` value is equivalent to a empty map of parameters. . | [in][allow-none]
uid | . UID for the note object itself, if known. A `null` value means the note has no unique ID. . | [in][allow-none]

#### Returns

a new NoteFieldDetails

Since: 0.6.0

### folks_note_field_details_get_uid ()

    const gchar *
    folks_note_field_details_get_uid (FolksNoteFieldDetails *self);

`folks_note_field_details_get_uid` has been deprecated since version 0.6.5 and should not be used in newly-written code.

Replaced by “id”.

Get and return the current value of the "uid" property.

The UID of the note (if any).

#### Parameters

self | the FolksNoteFieldDetails instance to query |

#### Returns

the value of the "uid" property

### folks_note_field_details_set_uid ()

    void
    folks_note_field_details_set_uid (FolksNoteFieldDetails *self,
                                      const gchar *value);

`folks_note_field_details_set_uid` has been deprecated since version 0.6.5 and should not be used in newly-written code.

Replaced by “id”.

Set the value of the "uid" property to `value` .

The UID of the note (if any).

#### Parameters

self | the FolksNoteFieldDetails instance to modify |
value | the new value of the "uid" property |

### folks_note_details_change_notes ()

    void
    folks_note_details_change_notes (FolksNoteDetails *self,
                                     GeeSet *notes,
                                     GAsyncReadyCallback _callback_,
                                     gpointer _user_data_);

Change the contact's notes.

It's preferred to call this rather than setting "notes" directly, as this method gives error notification and will only return once the notes have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the notes failed

See also: `folks_note_details_change_notes_finish()`

#### Parameters

self | the FolksNoteDetails instance |
notes | . the set of notes . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_note_details_change_notes_finish ()

    void
    folks_note_details_change_notes_finish
                                   (FolksNoteDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's notes.

It's preferred to call this rather than setting "notes" directly, as this method gives error notification and will only return once the notes have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the notes failed

See also: `folks_note_details_change_notes()`

#### Parameters

self | the FolksNoteDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_note_details_get_notes ()

    GeeSet *
    folks_note_details_get_notes (FolksNoteDetails *self);

Get and return the current value of the "notes" property.

The notes about the contact.

#### Parameters

self | the FolksNoteDetails instance to query |

#### Returns

the value of the "notes" property

Since: 0.5.1

### folks_note_details_set_notes ()

    void
    folks_note_details_set_notes (FolksNoteDetails *self,
                                  GeeSet *value);

Set the value of the "notes" property to `value` .

The notes about the contact.

#### Parameters

self | the FolksNoteDetails instance to modify |
value | the new value of the "notes" property |

Since: 0.5.1

## Types and Values

### FOLKS_TYPE_NOTE_FIELD_DETAILS

    #define FOLKS_TYPE_NOTE_FIELD_DETAILS (folks_note_field_details_get_type ())

The type for FolksNoteFieldDetails.

### struct FolksNoteFieldDetails

    struct FolksNoteFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksNoteFieldDetailsPrivate * priv;
    };

Object representing a note that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksNoteFieldDetailsClass

    struct FolksNoteFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_NOTE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksNoteDetails

    typedef struct _FolksNoteDetails FolksNoteDetails;

This interface represents the list of notes associated to a FolksPersona and FolksIndividual.

Since: 0.4.0

### struct FolksNoteDetailsIface

    struct FolksNoteDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_notes) (FolksNoteDetails* self, GeeSet* notes, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_notes_finish) (FolksNoteDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_notes) (FolksNoteDetails* self);
    	void (*set_notes) (FolksNoteDetails* self, GeeSet* value);
    };

Interface for creating FolksNoteDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_notes` () | virtual method called by `folks_note_details_change_notes()` |
`change_notes_finish` () | asynchronous finish function for `change_notes`, called by `folks_note_details_change_notes()` |
`get_notes` () | getter method for the abstract property "notes" |
`set_notes` () | setter method for the abstract property "notes" |